Bug 131314 - s-c-date changes break firstboot date module
s-c-date changes break firstboot date module
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: system-config-date (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nils Philippsen
:
Depends On:
Blocks: 131308
  Show dependency treegraph
 
Reported: 2004-08-30 17:03 EDT by Adrian Likins
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-23 11:49:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
screenshot of the date-time dialog in firstboot (61.72 KB, image/png)
2004-09-01 16:38 EDT, Adrian Likins
no flags Details

  None (edit)
Description Adrian Likins 2004-08-30 17:03:22 EDT
Description of problem:

Theres a couple issues with system-config-date-1.7.4
that are causing problems with the "date" module
in firstboot.

1. the params to date_gui.datePage changed and now
    require a xml tag. 

    If I create the gtk.glade.XML object myself and
    pass it in, I can get past this, but that seems
    odd. 

2. the custom_widgets stuff gets setup by MainWindow
   and isnt called for the firstboot case.

   I can call this in the date.py for firstboot, but
   it seems a bit odd

3. getVBox is busted
     return self.mainVBox  when no self.mainVbox exist.

    This is the call firstboot uses to grab the vbox to
    reparent for the firstboot dialog. 

    If I work around that and try to get to the main
    vbox ("vbox2") in the firstboot "date.py" it stops
    traceing back, but no widgets are shown.
Comment 1 Nils Philippsen 2004-09-01 16:19:56 EDT
(Pasting from PM):

IIUC firstboot should be using the mainWindow.childWindow class (and its
launch() method) for getting the s-c-date window. The xml parameter is a
glade xml reference, mainWindow should handle that. Please tell me
what specific hooks you need into s-c-date from firstboot if a hook to
get the main window contents isn't enough...
Comment 2 Adrian Likins 2004-09-01 16:25:00 EDT
hmm, i'l take a look at mainWindow.childWindow if thats the
prefered mechanism (it wasnt what it was using before,
no idea why...).

I got it working with a whee bit of kluging using date_gui
directly (but it displays weird, so probabaly not ideal). 

That will display date and timezone on the same 
page though. Offhand, I have no idea is thats whats desired
or not. 

Comment 3 Adrian Likins 2004-09-01 16:37:45 EDT
Okay, got it working with mainWindow.childWindow,
but now the dialog is too big and doesnt fit
within the screen for firstboot (the contents
in ntpFrame are partially obscured). Since
I belive the max size of firstboot is fixed,
need to figure out someway to fix this
(and putting the whole thing inside a
scrollable window seems like bad ui...).

i'll attach a screenshot
Comment 4 Adrian Likins 2004-09-01 16:38:41 EDT
Created attachment 103371 [details]
screenshot of the date-time dialog in firstboot
Comment 5 Nils Philippsen 2004-09-02 17:33:19 EDT
I see. Maybe the whole NTP server chooser stuff should go into its own
tab, what do you think? Or perhaps even a "Configure Network Time
Protocol" button with its own window -- I can't seem to think of a way
to fit this all into firstboot _and_ have a UI that doesn't suck...

Luckily I have done the transition to glade already. It still has some
quirks here and there, but rearranging the UI should go rather quickly
now.
Comment 6 Nils Philippsen 2004-09-02 18:01:30 EDT
I just put the whole NTP stuff into its own tab. Please check whether
this fixes your firstboot issues once 1.7.5-1 is out.
Comment 7 Max Spevack 2004-09-13 13:58:00 EDT
Please see https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=132442

I've uploaded a screenshot on that bug's page.
Comment 8 Nils Philippsen 2004-09-14 12:28:54 EDT
Well, 1.7.7-1 should do the trick now.

Note You need to log in before you can comment on or make changes to this bug.